commit:     f271d1758cb631b6038ff3337102e93546e8adb3
Author:     Christian Tietz <christian.tietz <AT> mailbox <DOT> org>
AuthorDate: Mon Nov  6 17:04:09 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Nov 22 17:27:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f271d175

sys-apps/bleachbit: Bump to 4.6.0

Signed-off-by: Christian Tietz <christian.tietz <AT> mailbox.org>
Closes: https://github.com/gentoo/gentoo/pull/33691
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/bleachbit/Manifest               |  1 +
 sys-apps/bleachbit/bleachbit-4.6.0.ebuild | 87 +++++++++++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/sys-apps/bleachbit/Manifest b/sys-apps/bleachbit/Manifest
index ce0556333ea1..f2af61de81e4 100644
--- a/sys-apps/bleachbit/Manifest
+++ b/sys-apps/bleachbit/Manifest
@@ -1 +1,2 @@
 DIST bleachbit-4.4.2.tar.bz2 653525 BLAKE2B 
ae65e310d33c2e523244a32de1ff28081be940a6a2ed2aadf682218ebe7346de3b5f37ab457d4f16542730d617678effbcda461e7080c43cd81c17f6b959018d
 SHA512 
247a1ed0e491e5e02c4bc9a5c2d11d5f1511ef9644b9edf34b1c9326e6515c33dfd60b98bb2dab59eac36ab5e1c9b5ed1e8d7c749261bde90450a2fc717dae6f
+DIST bleachbit-4.6.0.tar.bz2 667238 BLAKE2B 
c150ef9ff5c5f3d8241c5d8a8b8ad5b3f7a23aef24c21ef67a8680f56f3844893fd0e8513f47936ac3a667a15f0d6df2186658be282846309f3ad79f545a380d
 SHA512 
fd0888195bc1fd6dfdc19ca4b35906554e0b6bf22c7f12db01ff8a5790a8a358aedd39f0c0906eb98e67ea5344c655e7f042516cc0c17b59637463d01927a33a

diff --git a/sys-apps/bleachbit/bleachbit-4.6.0.ebuild 
b/sys-apps/bleachbit/bleachbit-4.6.0.ebuild
new file mode 100644
index 000000000000..a0c5f395e430
--- /dev/null
+++ b/sys-apps/bleachbit/bleachbit-4.6.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="sqlite(+)"
+DISTUTILS_SINGLE_IMPL=1
+
+inherit desktop distutils-r1 virtualx
+
+DESCRIPTION="Clean junk to free disk space and to maintain privacy"
+HOMEPAGE="https://www.bleachbit.org";
+SRC_URI="https://download.bleachbit.org/${P}.tar.bz2";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/chardet[${PYTHON_USEDEP}]
+               dev-python/pygobject:3[${PYTHON_USEDEP}]
+       ')
+       x11-libs/gtk+:3
+"
+BDEPEND="
+       sys-devel/gettext
+       test? (
+               $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]')
+       )
+"
+
+distutils_enable_tests unittest
+
+# tests fail under FEATURES=usersandbox
+RESTRICT="test"
+
+python_prepare_all() {
+       if use test; then
+               # avoid tests requiring internet access
+               rm tests/Test{Chaff,Update}.py || die
+
+               # fails due to non-existent $HOME/.profile
+               rm tests/TestInit.py || die
+
+               # only applicable to Windows installer
+               rm tests/TestNsisUtilities.py || die
+
+               # these fail on upstream Travis CI as well as on Gentoo
+               sed -e "s/test_notify(self)/_&/" \
+                       -i tests/TestGUI.py || die
+
+               sed -e "s/test_get_proc_swaps(self)/_&/" \
+                       -i tests/TestMemory.py || die
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       emake -C po local
+}
+
+python_test() {
+       virtx emake tests
+}
+
+python_install() {
+       distutils-r1_python_install
+       python_newscript ${PN}.py ${PN}
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       emake -C po DESTDIR="${D}" install
+
+       insinto /usr/share/bleachbit/cleaners
+       doins cleaners/*.xml
+
+       insinto /usr/share/bleachbit
+       doins data/app-menu.ui
+
+       doicon ${PN}.png
+       domenu org.${PN}.BleachBit.desktop
+}

Reply via email to